> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datalyr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List event names



## OpenAPI

````yaml /api-reference/read-api.yaml get /event-names
openapi: 3.1.0
info:
  title: Datalyr Read API
  version: 1.0.0
  description: Read analytics and workspace data from Datalyr.
servers:
  - url: https://api.datalyr.com/v1
security:
  - bearerAuth: []
tags:
  - name: Analytics
  - name: Events and users
  - name: Attribution and revenue
  - name: Workspace
paths:
  /event-names:
    get:
      tags:
        - Events and users
      summary: List event names
      operationId: list-event-names
      responses:
        '200':
          $ref: '#/components/responses/Success'
components:
  responses:
    Success:
      description: Successful response.
      content:
        application/json:
          schema:
            type: object
            additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Datalyr API key

````